### Method

# Handy Avatar set_image_load_func

deprecated: 1.2 since: 1.0

#### Declaration [src]

    void
    hdy_avatar_set_image_load_func (
      HdyAvatar* self,
      HdyAvatarImageLoadFunc load_image,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

A callback which is called when the custom image needs to be reloaded.

It will be called on `HdyAvatar:size` or `GtkWidget:scale-factor` changes.

Available since: 1.0

Deprecated since: 1.2

Use `hdy_avatar_set_loadable_icon()` instead.

#### Parameters

`load_image`

  Type: `HdyAvatarImageLoadFunc`

  Callback to set a custom image.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `load_image`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy notifier for `user_data`.

  The argument can be `NULL`.